Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | Friends
IMAGELINE Class Reference

`#include <img.h>`

List of all members.

## Public Member Functions

COLOUR_PIX | operator[] (inT32 index)
| IMAGELINE ()
void | init (inT32 width)
| ~IMAGELINE ()
void | set_bpp (inT8 new_bpp)
void | init ()

## Public Attributes

uinT8 * | pixels
| image pixels
inT8 | bpp
| bits per pixel

## Friends

void | IMAGE::get_line (inT32 x, inT32 y, inT32 width, IMAGELINE *linebuf, inT32 margins)
void | IMAGE::get_column (inT32 x, inT32 y, inT32 height, IMAGELINE *linebuf, inT32 margins)
void | IMAGE::put_line (inT32 x, inT32 y, inT32 width, IMAGELINE *linebuf, inT32 margins)
void | IMAGE::put_column (inT32 x, inT32 y, inT32 height, IMAGELINE *linebuf, inT32 margins)
void | IMAGE::fast_get_line (inT32 x, inT32 y, inT32 width, IMAGELINE *linebuf)
void | IMAGE::fast_put_line (inT32 x, inT32 y, inT32 width, IMAGELINE *linebuf)

## Detailed Description

Definition at line 325 of file img.h.

## Constructor & Destructor Documentation

IMAGELINE::IMAGELINE | ( |  | ) |

inline

default constructor

Definition at line 337 of file img.h.

{
linewidth = 0;
line = NULL;
pixels = line;
bpp = 8;
}

IMAGELINE::~IMAGELINE | ( |  | ) |

inline

Definition at line 356 of file img.h.

{ //destructor
if (line != NULL)
free_mem(line);
}

## Member Function Documentation

void IMAGELINE::init | ( | inT32 | width | ) |

inline

Definition at line 343 of file img.h.

{ //size of line
if (width <= 0)
width = MAXIMAGEWIDTH;
if (width > linewidth) {
if (line != NULL)
free_mem(line);
linewidth = width;
line = (uinT8 *) alloc_mem (linewidth * sizeof (uinT8));
}
pixels = line;
bpp = 8;
}

void IMAGELINE::init | ( |  | ) |

inline

Definition at line 369 of file img.h.

{
if (line == NULL)
init (0);
else {
pixels = line;
bpp = 8;
}
}

COLOUR_PIX IMAGELINE::operator[] | ( | inT32 | index | ) |

inline

colour pixels

Definition at line 331 of file img.h.

{
return &pixels[index * 3]; //coercion access op
}

void IMAGELINE::set_bpp | ( | inT8 | new_bpp | ) |

inline

For colour

Definition at line 362 of file img.h.

{
if (new_bpp <= 8)
bpp = 8;
else
bpp = 24;
}

## Friends And Related Function Documentation

void IMAGE::fast_get_line | ( | inT32 | x,
|  | inT32 | y,
|  | inT32 | width,
|  | IMAGELINE * | linebuf
| ) |  |

friend

Note:
  may just change pointer

Parameters:

  x | coord to start at
  y | line to get
  width | no of pixels to get
  linebuf | line to copy to

void IMAGE::fast_put_line | ( | inT32 | x,
|  | inT32 | y,
|  | inT32 | width,
|  | IMAGELINE * | linebuf
| ) |  |

friend

Note:
  may just change pointer

Parameters:

  x | coord to start at
  y | line to get
  width | no of pixels to put
  linebuf | line to copy to

void IMAGE::get_column | ( | inT32 | x,
|  | inT32 | y,
|  | inT32 | height,
|  | IMAGELINE * | linebuf,
|  | inT32 | margins
| ) |  |

friend

copies a column

Parameters:

  x | coord to start at
  y | line to get
  height | no of pixels to get
  linebuf | line to copy to
  margins | size of margins

void IMAGE::get_line | ( | inT32 | x,
|  | inT32 | y,
|  | inT32 | width,
|  | IMAGELINE * | linebuf,
|  | inT32 | margins
| ) |  |

friend

copies a line

Parameters:

  x | coord to start at
  y | line to get
  width | no of pixels to get
  linebuf | line to copy to
  margins | size of margins

void IMAGE::put_column | ( | inT32 | x,
|  | inT32 | y,
|  | inT32 | height,
|  | IMAGELINE * | linebuf,
|  | inT32 | margins
| ) |  |

friend

writes a column

Parameters:

  x | coord to start at
  y | line to get
  height | no of pixels to put
  linebuf | line to copy to
  margins | size of margins

void IMAGE::put_line | ( | inT32 | x,
|  | inT32 | y,
|  | inT32 | width,
|  | IMAGELINE * | linebuf,
|  | inT32 | margins
| ) |  |

friend

writes a line

Parameters:

  x | coord to start at
  y | line to get
  width | no of pixels to put
  linebuf | line to copy to
  margins | size of margins

## Member Data Documentation

inT8 IMAGELINE::bpp

bits per pixel

Definition at line 329 of file img.h.

uinT8* IMAGELINE::pixels

image pixels

Definition at line 328 of file img.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/image/img.h